Subject: bug#60571: closed (Re: [PATCH v4 3/3] gnu: python-skia-pathops: Update to 0.8.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 06 Sep 2023 01:09:02 +0000

Your bug report

#60571: activating tests for skia 2D graphics library

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60571: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60571
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v4 3/3] gnu: python-skia-pathops: Update to 0.8.0.
From: Maxim Cournoyer <[email-masked]>
To: Nicolas Graves <[email-masked]>
Cc: [email-masked]
Date: Tue, 05 Sep 2023 21:08:43 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Nicolas Graves <[email-masked]> writes:

> * gnu/packages/fontutils.scm (python-skia-pathops): Update to 0.8.0.
> ---
>  gnu/packages/fontutils.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
> index 153602b4b4..18697cd821 100644
> --- a/gnu/packages/fontutils.scm
> +++ b/gnu/packages/fontutils.scm
> @@ -841,7 +841,7 @@ (define-public python-sfdlib
>  (define-public python-skia-pathops
>    (package
>      (name "python-skia-pathops")
> -    (version "0.7.2")
> +    (version "0.8.0")
>      (source
>       (origin
>         (method url-fetch)
> @@ -849,7 +849,7 @@ (define-public python-skia-pathops
>         (modules '((guix build utils)))
>         (snippet '(delete-file-recursively "src/cpp")) ;140+ MiB of stuff
>         (sha256
> -        (base32 "1456rclfn6a01c2cchlgyn166zppcjcqij0k5gwmm8gvzsd5rn0r"))))
> +        (base32 "1vlwl1w6sn8c78fsh1w549n3lk9v3v9hcp866vrsdr4byb7g2ani"))))
>      (build-system python-build-system)
>      (arguments
>       (list

Applied the series!

-- 
Thanks,
Maxim

Subject: activating tests for skia 2D graphics library
From: Nicolas Graves <[email-masked]>
To: [email-masked]
Date: Thu, 05 Jan 2023 11:02:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guix!

I have a series of patches to activate tests on the SKIA graphics 2D
library.

Originally my goal was to add skia as a dependency to libreoffice and
remove the --without-skia flag, but I didn't want to do that before
being able to test the library change.

It took me quite a while since google uses its own tools in a way that
is hard to package in guix.

There are still some disabled tests that I'm not able to fix myself, but
at least it's testable for most tests. Help and review welcome, at least
one function fails with segmentation fault, but I'm not able to debug
it.

-- 
Best regards,
Nicolas Graves